from PkkXml.plugins.XmlPkk.ObjectToSave import TypeGeometryProviderOgr
from rosreestrXml.ui.tools.KPT.egrn_tool.EgrnInfo import InfoEgr
from rosreestrXml.ui.tools.KPT.kptTools.DbKptDirectory import KptСatalog
from rosreestrXml.ui.tools.OutDrv.DbDocuments import DocumentsDb
from rosreestrXml.ui.tools.OutDrv.ObjectToSave import DbGeoOgr

path_out=r"E:\Support\AxiomaTesting\Rossrestr\test1_.gpkg"
dbCatalog=KptСatalog()
dbDoc = None
dbDoc = DocumentsDb(path_out)
db = DbGeoOgr(dbCatalog)
db.Create(path_out, TypeGeometryProviderOgr.GPKG)
egr_cls=InfoEgr()
egr_cls.createTable(db)
db.Close()